Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.schema
Class SOMDocumentation

    java.lang.Object
      |
      +--com.bea.schema.SOMObject
            |
            +--com.bea.schema.SOMAppInfo
                  |
                  +--com.bea.schema.SOMDocumentation

public class SOMDocumentation
extends SOMAppInfo

<documentation> content element for the schema element annotation.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`SOMDocumentation(org.xml.sax.Attributes attrs)`
`SOMDocumentation(java.lang.String content)`

Method Summary
`java.util.Map` | `getAttributes(boolean getAll)` retrieve the attributes for this schema element.
`java.lang.String` | `getID()`
`java.lang.String` | `getLang()`
`void` | `setLang(java.lang.String language)`

Methods inherited from class com.bea.schema.SOMAppInfo
`appendContent, getContent, getSource, setContent, setSource, toXML`

Methods inherited from class com.bea.schema.SOMObject
`addChild, addPrefixMapping, attributesToXML, collectEffectivePrefixMappings, doIndent, getContainmentXPath, getEffectivePrefixMappings, getID_UQ, getParent, getParentName, getParentSchema, getPrefixForTargetNamespace, getTargetNamespace, getURIForPrefix, isCircularReference, isSchemaChild, namespacePrefixesToXML, removeNamespaceQualifier, removePrefixMapping, setIndent, setParent, toString, toXML, toXML, toXML, trace, trace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SOMDocumentation

    public SOMDocumentation(java.lang.String content)

### SOMDocumentation

    public SOMDocumentation(org.xml.sax.Attributes attrs)

Method Detail

### getID

    public java.lang.String getID()

  Overrides:
    getID in class SOMAppInfo

### setLang

    public void setLang(java.lang.String language)

### getLang

    public java.lang.String getLang()

### getAttributes

    public java.util.Map getAttributes(boolean getAll)

  retrieve the attributes for this schema element. If getAll is false, only the attributes that are not set to their default value are returned. If getAll is true, all possible attributes for this element will be returned.

  Parameters:
    `getAll` - get all attributes
  Returns:
    a Hashtable of attributes, where the attribute name and value are stored as strings.
  Overrides:
    getAttributes in class SOMAppInfo

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)